﻿using System;

namespace cegesauto
{
    public class Berles : IComparable
    {
        public Berles(int sorszam, int szemelyID, int napSzam, int idopont, string idopontString, bool kihajtE, Auto berlemeny)
        {
            Sorszam = sorszam;
            SzemelyID = szemelyID;
            this.napSzam = napSzam;
            Idopont = idopont;
            IdopontString = idopontString;
            KihajtE = kihajtE;
            Berlemeny = berlemeny;
        }

        public   int Sorszam { get; private set; }
        public int SzemelyID { get; private set; }
        public int napSzam { get; private set; }
        public int Idopont { get; private set; }
        public string IdopontString { get; private set; }
        public bool KihajtE { get; private set; }
        public Auto Berlemeny { get; private set; }
        public int megtettKm { get;  set; }

        public int CompareTo(object obj)
        {
            if (obj != null)
            {
                Berles masikBerles = obj as Berles;
                return Sorszam.CompareTo(masikBerles.Sorszam);
            }
            else
                return 0;
            
        }
    }
}
